com.io7m.jtensors.storage.api.parameterized.vectors

## Interface PVectorStorageIntegral4Type<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    PVectorReadable2LType<T>, PVectorReadable3LType<T>, PVectorReadable4LType<T>, PVectorStorageIntegral2Type<T>, PVectorStorageIntegral3Type<T>, VectorReadable2LType, VectorReadable3LType, VectorReadable4LType, VectorStorageIntegral2Type, VectorStorageIntegral3Type, VectorStorageIntegral4Type, VectorStorageType
  All Known Subinterfaces:
    PVectorByteBufferedIntegral4Type<T>
  All Known Implementing Classes:
    PVectorByteBufferedIntegral4s16, PVectorByteBufferedIntegral4s32, PVectorByteBufferedIntegral4s64, PVectorByteBufferedIntegral4s8

      public interface PVectorStorageIntegral4Type<T>
      extends PVectorReadable4LType<T>, PVectorStorageIntegral3Type<T>, VectorStorageIntegral4Type

  The type of mutable 4D integral number vectors.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `setPVector4I(PVector4I<T> v)` Set the components from the given vector.
    `default void` | `setPVector4L(PVector4L<T> v)` Set the components from the given vector.

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageIntegral3Type

      `setPVector3I, setPVector3L`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageIntegral2Type

      `setPVector2I, setPVector2L`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral4Type

      `setVector4I, setVector4L, setW, setXYZW`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4LType

      `w`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral3Type

      `setVector3I, setVector3L, setXYZ, setZ`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3LType

      `z`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral2Type

      `setVector2I, setVector2L, setX, setXY, setY`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType

      `x, y`

- - ### Method Detail

    - #### setPVector4L

          default void setPVector4L(PVector4L<T> v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setPVector4I

          default void setPVector4I(PVector4I<T> v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

Copyright © 2017 <code@io7m.com> http://io7m.com